import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["className", "textAlign"];
import React from "react";
import cx from "classnames";
import { Separator } from "@radix-ui/react-dropdown-menu";
import createComponent from "../../system/createComponent";
import getClasses from "./styles";
var MenuDivider = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var className = props.className,
      textAlign = props.textAlign,
      restProps = _objectWithoutProperties(props, _excluded);

  var classes = getClasses();
  return /*#__PURE__*/React.createElement(Separator, _extends({
    ref: ref,
    className: cx(classes.divider, className)
  }, restProps));
});

if (process.env.NODE_ENV !== "production") {
  MenuDivider.displayName = "MenuDivider";
}

export default createComponent(MenuDivider);